{-# LANGUAGE NoImplicitPrelude       #-}

module Main where

import Data.Set as Set
import Data.String.Conversions (cs)
import System.Environment (getArgs)
import Data.Text (Text)
import Graph.BAC.Clustering
import Graph.BAC.ProxemyOptim
import Graph.BAC.ProxemyOptim
import Graph.FGL
import Graph.Tools.Import
import Prelude (String)
import Protolude
import qualified Data.IntMap                       as Dict
import qualified Data.List as List
import qualified Eigen.Matrix as Matrix
import qualified Eigen.SparseMatrix as SMatrix
import qualified Prelude as Prelude
import qualified Data.Graph.Inductive.PatriciaTree as DGIP


main :: IO ()
main = do
  fp <- getArgs
  (m,g) <- case fp of
    []    -> getUnlabGraph Random
    [fp'] -> getUnlabGraph (WithFile fp')

  let
    result = withG g (parts  . (clusteringOptim 3 Conf))
  print (result)
